package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import javax.print.attribute.PrintJobAttribute;
import javax.print.attribute.IntegerSyntax;

public final class NumberOfInterveningJobs extends IntegerSyntax implements PrintJobAttribute
{
    private static final long serialVersionUID = 2568141124844982746L;
    
    public NumberOfInterveningJobs(int value) {
        super(value, 0, Integer.MAX_VALUE);
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof NumberOfInterveningJobs;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return NumberOfInterveningJobs.class;
    }
    
    @Override
    public final String getName() {
        return "number-of-intervening-jobs";
    }
}
